Tag Archive for ncpmount gutsy 7.10 invalid server response solution

A solution for ncpmount errors using Ubuntu gutsy

If you use ncpmount to mount novell servers you may have noticed that it does not work with ubuntu 7.10 (gutsy).
Ncpfs 2.2.6.4 that ships with gutsy is the problem as it causes an invalid server response message to be generated by the Novell server. The solution is to force the version to 2.2.6.3 which ships with feisty.
You need to add feisty repositories to source.lst and run apt-get update twice
repositories to add
deb http://ie.archive.ubuntu.com/ubuntu/ feisty universe
deb-src http://ie.archive.ubuntu.com/ubuntu/ feisty universe
deb http://ie.archive.ubuntu.com/ubuntu/ feisty-updates universe
deb-src http://ie.archive.ubuntu.com/ubuntu/ feisty-updates universe
you then need to load synaptic package manager search for ncpfs and force the version to 2.2.6.3. I would also recommend that you lock this version so it can’t be updated